Runners
List GitHub installations the user can connect (OAuth code exchange)
Authorization
apiKey AuthorizationBearer <token>
OpenRelay API key. Send it as Authorization: Bearer vl_….
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/runner-pools/installations" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'{
"installations": [
{
"installationId": 0,
"account": "string",
"accountType": "string",
"alreadyConnected": true,
"connectGrant": "string"
}
]
}{
"error": "string",
"code": "string"
}{
"error": "string",
"code": "string"
}{
"error": "string",
"code": "string"
}Command line
The orl CLI wraps this endpoint:
orl runners installation list --code <code>